textures/common/caulk
{
	surfaceparm nodraw
    surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clusterportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm clusterportal
}

textures/common/full_clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm playerclip
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm hint	
}

textures/common/invisible
{
	surfaceparm nolightmap			
        {
                map textures/common/invisible.tga
                alphafunc ge128
		depthwrite
		rgbgen vertex
        }
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/base_floor/clangdark
{
	surfaceparm	metalsteps		

	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_floor/clangdark.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}


}

textures/base_floor/proto_rustygrate
{
	surfaceparm	metalsteps	
    surfaceparm trans	
	surfaceparm alphashadow
	cull none
        nopicmip
	
	{
		map textures/base_floor/proto_rustygrate.tga
		
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/base_light/baslt4_1_4k
{
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 4000
	

	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/proto_lightred2
{
	q3map_lightimage textures/base_light/proto_lightred.tga
	qer_editorimage textures/base_light/proto_lightred.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/proto_lightred.tga
		blendfunc filter
		rgbgen identity
	}
        {
		map textures/base_light/proto_lightred.tga
		blendfunc add
		rgbgen wave square .5 .5 0 1
	}
	
}

textures/base_light/xceil1_39
{
	qer_editorimage textures/base_light/ceil1_39.tga
	surfaceparm nomarks
	q3map_surfacelight 20000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_39.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_39.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/urban_terror3/glass_clear
{
	qer_editorimage textures/effects/tinfx.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans

	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendfunc gl_one gl_one
	}
}

textures/lestex/ghost
{
surfaceparm noimpact
surfaceparm nolightmap
surfaceparm sky
q3map_sun 1 1 .7 50 0 35
q3map_surfacelight 60
skyparms env/ghost/ghost - -
}

textures/plants/cipresso
{
        qer_editorimage textures/plants/cipresso.tga
        surfaceparm alphashadow
        surfaceparm nonsolid
        surfaceparm trans
        cull disable
        nopicmip
        {
                map textures/plants/cipresso.tga
                rgbgen identity
                depthwrite
                alphafunc ge128
        }
        {
                map $lightmap
                blendfunc filter
                rgbgen identity
                tcgen lightmap
                depthfunc equal
        }
}

textures/plants/alberob
{
        qer_editorimage textures/plants/alberob.tga
        surfaceparm alphashadow
        surfaceparm nonsolid
        surfaceparm trans
        cull disable
        nopicmip
        {
                map textures/plants/alberob.tga
                rgbgen identity
                depthwrite
                alphafunc ge128
        }
        {
                map $lightmap
                blendfunc filter
                rgbgen identity
                tcgen lightmap
                depthfunc equal
        }
}

textures/plants/cespuglio
{
        qer_editorimage textures/plants/cespuglio.tga
        surfaceparm alphashadow
        surfaceparm nonsolid
        surfaceparm trans
        cull disable
        nopicmip
        {
                map textures/plants/cespuglio.tga
                rgbgen identity
                depthwrite
                alphafunc ge128
        }
        {
                map $lightmap
                blendfunc filter
                rgbgen identity
                tcgen lightmap
                depthfunc equal
        }
}

textures/urban_terror/ladderclip
{
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
}

textures/urban_terror2/fence
{
	surfaceparm trans		
	cull none
        nopicmip

	{
		map textures/urban_terror2/fence.tga
		tcmod scale 3 3
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/cow7/fs_gate3c
{
	qer_editorimage textures/cow7/fs_gate3c.tga
	surfaceparm trans
	cull disable
	nopicmip
	{
		map textures/cow7/fs_gate3c.tga
		rgbgen identity
		depthwrite
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
		tcgen lightmap 
		depthfunc equal
	}
}

textures/sweetnutz/sn_flowers
{
	qer_editorimage textures/sweetnutz/sn_flowers.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	q3map_bounce .1
	cull none
	nopicmip
	
	{
		map textures/sweetnutz/sn_flowers.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

